Package org.apache.sling.distribution.journal.impl.discovery

## Class State

- java.lang.Object
- - org.apache.sling.distribution.journal.impl.discovery.State

    @Immutable
    @ParametersAreNonnullByDefault
    public class State
    extends Object

### Constructor Summary

Constructors
`State​(String pubAgentName, String subAgentId, long timestamp, long offset, int retries, int maxRetries, boolean editable)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals​(Object o)` Indicates whether some other State is "equal to" this one.
`int` `getMaxRetries()`
`long` `getOffset()`
`String` `getPubAgentName()`
`int` `getRetries()`
`String` `getSubAgentId()`
`long` `getTimestamp()`
`int` `hashCode()`
`boolean` `isEditable()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### State

    public State​(String pubAgentName,
                 String subAgentId,
                 long timestamp,
                 long offset,
                 int retries,
                 int maxRetries,
                 boolean editable)

### Method Detail

#### getPubAgentName

    public String getPubAgentName()

#### getSubAgentId

    public String getSubAgentId()

#### getOffset

    public long getOffset()

#### getRetries

    public int getRetries()

#### getMaxRetries

    public int getMaxRetries()

#### getTimestamp

    public long getTimestamp()

#### isEditable

    public boolean isEditable()

#### equals

    public boolean equals​(Object o)

Indicates whether some other State is "equal to" this one. Equality compares all members except the #timestamp.

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`